summaryrefslogtreecommitdiff
path: root/manual/format-html
diff options
context:
space:
mode:
authorLars Wirzenius <liw@liw.fi>2014-03-29 11:53:56 +0000
committerLars Wirzenius <liw@liw.fi>2014-03-29 11:53:56 +0000
commit08c5626011262f15bab19fb7e91544a47e06b2c6 (patch)
tree74255adcc802ec355fdbebca848ff293f19c8142 /manual/format-html
parent294498e27cddfe6d3d653157ed1b1f52ec646420 (diff)
downloadobnam-08c5626011262f15bab19fb7e91544a47e06b2c6.tar.gz
Move HTML formatting to a helper script
Diffstat (limited to 'manual/format-html')
-rwxr-xr-xmanual/format-html20
1 files changed, 20 insertions, 0 deletions
diff --git a/manual/format-html b/manual/format-html
new file mode 100755
index 00000000..836ad990
--- /dev/null
+++ b/manual/format-html
@@ -0,0 +1,20 @@
+#!/bin/sh
+
+set -eu
+
+OUTPUT="$1"
+TITLE="$2"
+AUTHOR="$3"
+VERSION="$4"
+shift 4
+
+cat > 000.mdwn <<EOF
+% $TITLE
+% $AUTHOR
+% $VERSION
+EOF
+
+pandoc -H ../obnam.css --smart --toc --chapters --number-sections \
+ --standalone --self-contained -V geometry:lettersize \
+ -o "$OUTPUT" 000.mdwn "$@"
+rm -f 000.mdwn